![PR](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat&logo=github)
![Open Source](https://badges.frapsoft.com/os/v2/open-source.svg?v=103)
![Visitors](https://visitor-badge.glitch.me/badge?page_id=IEEE-VIT.IEEE-VIT)
![Issues](https://img.shields.io/github/issues/IEEE-VIT/templa-rs)
![License](https://img.shields.io/github/license/IEEE-VIT/templa-rs)
![Stars](https://img.shields.io/github/stars/IEEE-VIT/templa-rs)
![Forks](https://img.shields.io/github/forks/IEEE-VIT/templa-rs)
![Last Commit](https://img.shields.io/github/last-commit/IEEE-VIT/templa-rs)
![Size](https://img.shields.io/github/repo-size/IEEE-VIT/templa-rs)
![Maintained](https://img.shields.io/maintenance/yes/2021)
[![UI](https://img.shields.io/badge/User%20Interface-Link%20to%20UI-orange?style=flat-square&logo=appveyor)](https://www.figma.com/file/2VfxFGTk2FqLJiMExB7u9P/templa-rs?node-id=2%3A2)

<p align="center"><img width="40%" src="https://hacktoberfest.digitalocean.com/_nuxt/img/logo-hacktoberfest-full.f42e3b1.svg"/></p>

<p align="center">One Stop Solution for all boilerplate needs!</p>
<p align="center">Consider leaving a :star: if you found the project helpful.</p>

# Templa-rs
Templa-rs is a one-of-a-kind TUI tool written in Rust, which helps you generate boilerplate templates for various types of projects and architectures in a matter of seconds!

![Templa-rs](https://imgur.com/4Xn9imn.gif)
## Built With
* [Rust](https://www.rust-lang.org/)
* [tui-rs](https://github.com/fdehau/tui-rs)
## Getting Started
* Fork it.

* Clone your forked repo and move inside it:

```
git clone https://github.com/IEEE-VIT/Templa-rs.git && cd Templa-rs
```

* Checkout to a new branch to work on an issue:

```
git checkout -b my-amazing-feature
```

* Run It Locally

```
cargo run -- -h
```
```
cargo run -- --help
```
```
cargo run -- -t <type_of_project> -n <project_name>
```
```
cargo run -- --type <type_of_project> --name <project_name>
```

* Once you're all done coding, it's time to open a PR :)
Run the following commands from the root of the project directory:

```
git add .
```

```
git commit -m "A short description about the feature."
```

```
git push origin <my-amazing-feature>
```

Open your forked repo in your browser and then raise a PR to the `master` branch of this repository!


## Contributing
To start contributing, check out [CONTRIBUTING.md](https://github.com/IEEE-VIT/Templa-rs/blob/master/CONTRIBUTING.md). New contributors are always welcome to support this project. If you want something gentle to start with, check out issues labelled as `difficulty-easy` or `good-first-issue`. Check out issues labelled as `hacktoberfest` if you are up for some grabs! :) 

## License
This project is licensed under [MIT](https://github.com/IEEE-VIT/Templa-rs/blob/master/LICENSE.md).
